package epson.maintain;


import androidx.annotation.Nullable;

import java.util.HashMap;

public class FirmInfFile {
    private static final String INF_KEY_URL_ROM_EFU = "URLROMEFU";
    private int mInfFileVersion = 0;
    int mRomNum;
    final HashMap<String, String> mUpdateInf = new HashMap<>();

    public synchronized String getRomUrl(int i) {
        String str;
        if (i <= mRomNum) {
            str = mUpdateInf.get(String.format("URLROM%d", new Object[]{Integer.valueOf(i)}));
        } else {
            str = null;
        }
        return str;
    }

    public synchronized String getMainVersion() {
        return mUpdateInf.get("VERMAIN");
    }

    public synchronized String getNetVersion() {
        return mUpdateInf.get("VERNET");
    }

    public synchronized int getRomNum() {
        return mRomNum;
    }

    @Nullable
    public synchronized String getfuUrl() {
        return mUpdateInf.get(INF_KEY_URL_ROM_EFU);
    }

    public synchronized int getInfFileVersion() {
        return mInfFileVersion;
    }

    public synchronized boolean checkInfFileVersion(byte[] r4) {

        throw new UnsupportedOperationException("Method not decompiled: epson.maintain.FirmInfFile.checkInfFileVersion(byte[]):boolean");
    }

    @android.support.annotation.VisibleForTesting
    /* Code decompiled incorrectly, please refer to instructions dump. */
    public synchronized boolean parseInfFile(byte[] r10) {

        throw new UnsupportedOperationException("Method not decompiled: epson.maintain.FirmInfFile.parseInfFile(byte[]):boolean");
    }

    @VisibleForTesting
    static String getComparableVersion(@Nullable String str) {
        if (str == null || str.length() < 6) {
            throw new IllegalArgumentException();
        }
        return str.substring(4, 6) + str.substring(2, 4);
    }

    public int compareVersion(String str) {
        return getComparableVersion(str).compareTo(getComparableVersion(getMainVersion()));
    }
}
