package epson.print.service;

import epson.print.EPImageList;
import epson.print.screen.PrintSetting;

public class LocalPrintThread extends Thread {
    public static final int SUB_THREAD_JOIN_LIMIT = 60000;
    private static final String TAG = "LocalPrintThread";
    private EPImageList gImageList;
    private final PrintService mEpsonService;
    private boolean mIsBkRetry;
    private final PrintSetting.Kind mKind = mRenderingController.getKind();
    private final RenderingController mRenderingController;
    private final Object printingLock;

    public LocalPrintThread(PrintService printService, RenderingController renderingController, boolean z) {
        super("print-loop");
        mEpsonService = printService;
        mRenderingController = renderingController;
        mIsBkRetry = z;
        printingLock = mEpsonService.getPrintLockObject();
    }

    public void run() {
        synchronized (printingLock) {
            mEpsonService.setPrinting(true);
            mEpsonService.setCancelPrinting(false);
            doPrint();
            mEpsonService.setPrinting(false);
            mEpsonService.setCancelPrinting(false);
        }
    }

    /* JADX DEBUG: Multi-variable search result rejected for TypeSearchVarInfo{r6v1, resolved type: boolean} */
    /* JADX DEBUG: Multi-variable search result rejected for TypeSearchVarInfo{r6v2, resolved type: int} */
    /* JADX DEBUG: Multi-variable search result rejected for TypeSearchVarInfo{r6v6, resolved type: boolean} */
    /* JADX DEBUG: Multi-variable search result rejected for TypeSearchVarInfo{r6v7, resolved type: int} */
    /* JADX DEBUG: Multi-variable search result rejected for TypeSearchVarInfo{r6v8, resolved type: int} */
    /* JADX DEBUG: Multi-variable search result rejected for TypeSearchVarInfo{r6v9, resolved type: int} */
    /* JADX DEBUG: Multi-variable search result rejected for TypeSearchVarInfo{r6v13, resolved type: boolean} */
    /* JADX DEBUG: Multi-variable search result rejected for TypeSearchVarInfo{r6v14, resolved type: int} */
    /* JADX DEBUG: Multi-variable search result rejected for TypeSearchVarInfo{r6v17, resolved type: boolean} */
    /* JADX DEBUG: Multi-variable search result rejected for TypeSearchVarInfo{r4v21, resolved type: epson.print.service.PrintService} */
    /* JADX DEBUG: Multi-variable search result rejected for TypeSearchVarInfo{r4v23, resolved type: long} */
    /* JADX DEBUG: Multi-variable search result rejected for TypeSearchVarInfo{r4v24, resolved type: long} */
    /* JADX DEBUG: Multi-variable search result rejected for TypeSearchVarInfo{r4v25, resolved type: long} */
    /* JADX DEBUG: Multi-variable search result rejected for TypeSearchVarInfo{r4v26, resolved type: long} */
    /* JADX DEBUG: Multi-variable search result rejected for TypeSearchVarInfo{r6v26, resolved type: int} */
    /* JADX DEBUG: Multi-variable search result rejected for TypeSearchVarInfo{r4v35, resolved type: long} */
    /* JADX DEBUG: Multi-variable search result rejected for TypeSearchVarInfo{r6v33, resolved type: int} */
    /* JADX DEBUG: Multi-variable search result rejected for TypeSearchVarInfo{r6v34, resolved type: int} */
    /* JADX DEBUG: Multi-variable search result rejected for TypeSearchVarInfo{r6v43, resolved type: int} */
    /* JADX DEBUG: Multi-variable search result rejected for TypeSearchVarInfo{r6v47, resolved type: int} */
    /* JADX DEBUG: Multi-variable search result rejected for TypeSearchVarInfo{r6v67, resolved type: int} */
    /* JADX DEBUG: Multi-variable search result rejected for TypeSearchVarInfo{r6v68, resolved type: boolean} */
    /* JADX DEBUG: Multi-variable search result rejected for TypeSearchVarInfo{r6v73, resolved type: int} */
    /* JADX DEBUG: Multi-variable search result rejected for TypeSearchVarInfo{r6v75, resolved type: int} */
    /* JADX DEBUG: Multi-variable search result rejected for TypeSearchVarInfo{r6v79, resolved type: int} */
    /* JADX DEBUG: Multi-variable search result rejected for TypeSearchVarInfo{r6v84, resolved type: boolean} */
    /* JADX DEBUG: Multi-variable search result rejected for TypeSearchVarInfo{r6v85, resolved type: int} */
    /* JADX DEBUG: Multi-variable search result rejected for TypeSearchVarInfo{r6v87, resolved type: boolean} */
    /* JADX DEBUG: Multi-variable search result rejected for TypeSearchVarInfo{r6v88, resolved type: boolean} */
    /* JADX DEBUG: Multi-variable search result rejected for TypeSearchVarInfo{r6v89, resolved type: int} */
    /* JADX DEBUG: Multi-variable search result rejected for TypeSearchVarInfo{r6v90, resolved type: int} */
    /* JADX DEBUG: Multi-variable search result rejected for TypeSearchVarInfo{r6v91, resolved type: int} */
    /* JADX DEBUG: Multi-variable search result rejected for TypeSearchVarInfo{r6v92, resolved type: int} */
    /* JADX DEBUG: Multi-variable search result rejected for TypeSearchVarInfo{r6v93, resolved type: int} */
    /* JADX DEBUG: Multi-variable search result rejected for TypeSearchVarInfo{r6v95, resolved type: int} */
    /* JADX DEBUG: Multi-variable search result rejected for TypeSearchVarInfo{r6v96, resolved type: boolean} */
    /* JADX DEBUG: Multi-variable search result rejected for TypeSearchVarInfo{r6v97, resolved type: boolean} */
    /* JADX DEBUG: Multi-variable search result rejected for TypeSearchVarInfo{r6v98, resolved type: int} */
    /* JADX DEBUG: Multi-variable search result rejected for TypeSearchVarInfo{r4v89, resolved type: long} */
    /* JADX DEBUG: Multi-variable search result rejected for TypeSearchVarInfo{r4v90, resolved type: long} */
    /* JADX DEBUG: Multi-variable search result rejected for TypeSearchVarInfo{r4v91, resolved type: long} */
    /* JADX DEBUG: Multi-variable search result rejected for TypeSearchVarInfo{r4v92, resolved type: long} */
    /* JADX DEBUG: Multi-variable search result rejected for TypeSearchVarInfo{r6v105, resolved type: boolean} */
    /* JADX DEBUG: Multi-variable search result rejected for TypeSearchVarInfo{r6v106, resolved type: int} */
    /* JADX DEBUG: Multi-variable search result rejected for TypeSearchVarInfo{r6v109, resolved type: int} */
    /* JADX DEBUG: Multi-variable search result rejected for TypeSearchVarInfo{r6v112, resolved type: int} */
    /* JADX DEBUG: Multi-variable search result rejected for TypeSearchVarInfo{r6v113, resolved type: int} */
    /* JADX DEBUG: Multi-variable search result rejected for TypeSearchVarInfo{r6v114, resolved type: boolean} */
    /* JADX DEBUG: Multi-variable search result rejected for TypeSearchVarInfo{r6v116, resolved type: int} */
    /* JADX WARNING: Code restructure failed: missing block: B:124:0x0283, code lost:
        r0 = th;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:125:0x0285, code lost:
        r0 = e;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:126:0x0287, code lost:
        r0 = th;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:127:0x0288, code lost:
        r6 = 0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:128:0x0289, code lost:
        r7 = r4;
        r3 = 40;
        r4 = org.apache.commons.lang.time.DateUtils.MILLIS_PER_MINUTE;
        r6 = r6;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:129:0x028f, code lost:
        r15 = 0;
        r6 = r6;
        r4 = r4;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:130:0x0292, code lost:
        r6 = 0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:132:0x0293, code lost:
        r15 = r4;
        r3 = 40;
        r4 = org.apache.commons.lang.time.DateUtils.MILLIS_PER_MINUTE;
        r6 = r6;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:133:?, code lost:
        r6 = r6;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:134:0x029b, code lost:
        r0 = e;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:135:0x029c, code lost:
        r6 = 0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:136:0x029d, code lost:
        r7 = r4;
        r3 = 40;
        r4 = org.apache.commons.lang.time.DateUtils.MILLIS_PER_MINUTE;
        r6 = r6;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:137:0x02a5, code lost:
        r6 = 0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:139:0x02a6, code lost:
        r0 = r4;
        r4 = org.apache.commons.lang.time.DateUtils.MILLIS_PER_MINUTE;
        r6 = r6;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:140:?, code lost:
        r6 = r6;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:175:0x0332, code lost:
        r0 = th;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:176:0x0333, code lost:
        r3 = 40;
        r4 = org.apache.commons.lang.time.DateUtils.MILLIS_PER_MINUTE;
        r6 = 0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:179:0x033f, code lost:
        r0 = e;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:180:0x0340, code lost:
        r3 = 40;
        r4 = org.apache.commons.lang.time.DateUtils.MILLIS_PER_MINUTE;
        r6 = 0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:189:0x0369, code lost:
        r3 = 40;
        r4 = org.apache.commons.lang.time.DateUtils.MILLIS_PER_MINUTE;
        r6 = 0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:199:0x038d, code lost:
        r2.interrupt();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:202:0x0398, code lost:
        r7 = 0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:206:?, code lost:
        r2.join(r4);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:207:0x03a8, code lost:
        r0 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:208:0x03a9, code lost:
        r0.printStackTrace();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:219:0x03eb, code lost:
        r2.interrupt();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:227:?, code lost:
        r2.join(r4);
        r6 = r6;
        r4 = r4;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:228:0x0408, code lost:
        r0 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:229:0x0409, code lost:
        r2 = r0;
        r6 = r6;
        r4 = r4;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:236:0x043e, code lost:
        r0.interrupt();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:244:?, code lost:
        r0.join(r4);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:245:0x045b, code lost:
        r0 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:246:0x045c, code lost:
        r0.printStackTrace();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:249:0x0480, code lost:
        r4 = org.apache.commons.lang.time.DateUtils.MILLIS_PER_MINUTE;
        r6 = 0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:256:0x049a, code lost:
        r2.interrupt();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:260:?, code lost:
        r2.join(r4);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:261:0x04b2, code lost:
        r0 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:262:0x04b3, code lost:
        r0.printStackTrace();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:54:0x0173, code lost:
        r0 = th;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:55:0x0174, code lost:
        r7 = r4;
        r3 = 40;
        r4 = org.apache.commons.lang.time.DateUtils.MILLIS_PER_MINUTE;
        r6 = 0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:56:0x017d, code lost:
        r15 = r4;
        r3 = 40;
        r4 = org.apache.commons.lang.time.DateUtils.MILLIS_PER_MINUTE;
        r6 = 0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:58:0x0186, code lost:
        r0 = e;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:59:0x0187, code lost:
        r7 = r4;
        r3 = 40;
        r4 = org.apache.commons.lang.time.DateUtils.MILLIS_PER_MINUTE;
        r6 = 0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:60:0x0190, code lost:
        r0 = r4;
     */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Multi-variable type inference failed */
    /* JADX WARNING: Removed duplicated region for block: B:131:? A[ExcHandler: Exception (unused java.lang.Exception), SYNTHETIC, Splitter:B:44:0x0143] */
    /* JADX WARNING: Removed duplicated region for block: B:133:? A[ExcHandler: Exception (unused java.lang.Exception), PHI: r6 
  PHI: (r6v42 int) = (r6v35 int), (r6v51 int), (r6v63 int) binds: [B:144:0x02b1, B:121:0x027d, B:96:0x0219] A[DONT_GENERATE, DONT_INLINE], SYNTHETIC, Splitter:B:96:0x0219] */
    /* JADX WARNING: Removed duplicated region for block: B:138:? A[ExcHandler: LocalInterrupt | InterruptedException (unused java.lang.Throwable), SYNTHETIC, Splitter:B:44:0x0143] */
    /* JADX WARNING: Removed duplicated region for block: B:140:? A[ExcHandler: LocalInterrupt | InterruptedException (unused java.lang.Throwable), PHI: r6 
  PHI: (r6v40 int) = (r6v35 int), (r6v51 int), (r6v63 int) binds: [B:144:0x02b1, B:121:0x027d, B:96:0x0219] A[DONT_GENERATE, DONT_INLINE], SYNTHETIC, Splitter:B:96:0x0219] */
    /* JADX WARNING: Removed duplicated region for block: B:190:? A[ExcHandler: Exception (unused java.lang.Exception), SYNTHETIC, Splitter:B:1:0x003e] */
    /* JADX WARNING: Removed duplicated region for block: B:199:0x038d  */
    /* JADX WARNING: Removed duplicated region for block: B:202:0x0398  */
    /* JADX WARNING: Removed duplicated region for block: B:205:0x03a4 A[SYNTHETIC, Splitter:B:205:0x03a4] */
    /* JADX WARNING: Removed duplicated region for block: B:219:0x03eb  */
    /* JADX WARNING: Removed duplicated region for block: B:226:0x0404 A[SYNTHETIC, Splitter:B:226:0x0404] */
    /* JADX WARNING: Removed duplicated region for block: B:236:0x043e  */
    /* JADX WARNING: Removed duplicated region for block: B:243:0x0457 A[SYNTHETIC, Splitter:B:243:0x0457] */
    /* JADX WARNING: Removed duplicated region for block: B:250:? A[ExcHandler: LocalInterrupt | InterruptedException (unused java.lang.Throwable), SYNTHETIC, Splitter:B:1:0x003e] */
    /* JADX WARNING: Removed duplicated region for block: B:256:0x049a  */
    /* JADX WARNING: Removed duplicated region for block: B:259:0x04ae A[SYNTHETIC, Splitter:B:259:0x04ae] */
    /* JADX WARNING: Removed duplicated region for block: B:57:? A[ExcHandler: Exception (unused java.lang.Exception), SYNTHETIC, Splitter:B:48:0x014d] */
    /* JADX WARNING: Removed duplicated region for block: B:61:? A[ExcHandler: LocalInterrupt | InterruptedException (unused java.lang.Throwable), SYNTHETIC, Splitter:B:48:0x014d] */
    /* Code decompiled incorrectly, please refer to instructions dump. */
    private void doPrint() {
        /*
            r28 = this;
            r1 = r28
            java.lang.String r0 = " LocalPrintThread  doPrint"
            epson.print.Util.EPLog.m312i(r0)
            epson.print.screen.PrintSetting r0 = new epson.print.screen.PrintSetting
            epson.print.IprintApplication r2 = epson.print.IprintApplication.getInstance()
            android.content.Context r2 = r2.getApplicationContext()
            epson.print.screen.PrintSetting$Kind r3 = r1.mKind
            r0.<init>(r2, r3)
            r0.loadSettings()
            int r2 = r0.paperSizeValue
            int r6 = r0.paperTypeValue
            int r3 = r0.layoutValue
            int r15 = r0.layoutMultiPageValue
            int r14 = r0.qualityValue
            int r9 = r0.paperSourceValue
            int r13 = r0.colorValue
            int r12 = r0.copiesValue
            int r11 = r0.brightnessValue
            int r10 = r0.contrastValue
            int r8 = r0.saturationValue
            int r7 = r0.duplexValue
            int r5 = r0.feedDirectionValue
            int r0 = r0.printdate
            r17 = r11
            r16 = r12
            r18 = r15
            r15 = 0
            r19 = 0
            epson.print.service.PrintService r4 = r1.mEpsonService     // Catch:{ LocalInterrupt | InterruptedException -> 0x0480, LocalEscprException -> 0x03ca, Exception -> 0x0369, all -> 0x035b }
            android.content.Context r4 = r4.getLocalApplicationContext()     // Catch:{ LocalInterrupt | InterruptedException -> 0x0480, LocalEscprException -> 0x03ca, Exception -> 0x0369, all -> 0x035b }
            r21 = r0
            r0 = 1
            com.epson.mobilephone.common.wifidirect.WiFiDirectManager.setPriorityToSimpleAP(r4, r0)     // Catch:{ LocalInterrupt | InterruptedException -> 0x0480, LocalEscprException -> 0x03ca, Exception -> 0x0369, all -> 0x035b }
            epson.print.service.RenderingController r4 = r1.mRenderingController     // Catch:{ LocalInterrupt | InterruptedException -> 0x0480, LocalEscprException -> 0x03ca, Exception -> 0x0369, all -> 0x035b }
            r4.drawBeforeStartJob()     // Catch:{ LocalInterrupt | InterruptedException -> 0x0480, LocalEscprException -> 0x03ca, Exception -> 0x0369, all -> 0x035b }
            java.lang.StringBuilder r4 = new java.lang.StringBuilder     // Catch:{ LocalInterrupt | InterruptedException -> 0x0480, LocalEscprException -> 0x03ca, Exception -> 0x0369, all -> 0x035b }
            r4.<init>()     // Catch:{ LocalInterrupt | InterruptedException -> 0x0480, LocalEscprException -> 0x03ca, Exception -> 0x0369, all -> 0x035b }
            java.lang.String r11 = "mIsBkRetry = "
            r4.append(r11)     // Catch:{ LocalInterrupt | InterruptedException -> 0x0480, LocalEscprException -> 0x03ca, Exception -> 0x0369, all -> 0x035b }
            boolean r11 = r1.mIsBkRetry     // Catch:{ LocalInterrupt | InterruptedException -> 0x0480, LocalEscprException -> 0x03ca, Exception -> 0x0369, all -> 0x035b }
            r4.append(r11)     // Catch:{ LocalInterrupt | InterruptedException -> 0x0480, LocalEscprException -> 0x03ca, Exception -> 0x0369, all -> 0x035b }
            java.lang.String r4 = r4.toString()     // Catch:{ LocalInterrupt | InterruptedException -> 0x0480, LocalEscprException -> 0x03ca, Exception -> 0x0369, all -> 0x035b }
            com.epson.mobilephone.common.EPLog.d(r4)     // Catch:{ LocalInterrupt | InterruptedException -> 0x0480, LocalEscprException -> 0x03ca, Exception -> 0x0369, all -> 0x035b }
            epson.print.service.PrintService r4 = r1.mEpsonService     // Catch:{ LocalInterrupt | InterruptedException -> 0x0480, LocalEscprException -> 0x03ca, Exception -> 0x0369, all -> 0x035b }
            boolean r12 = r1.mIsBkRetry     // Catch:{ LocalInterrupt | InterruptedException -> 0x0480, LocalEscprException -> 0x03ca, Exception -> 0x0369, all -> 0x035b }
            r11 = 40
            r20 = r5
            r5 = r2
            r24 = r7
            r7 = r3
            r25 = r8
            r8 = r14
            r26 = r10
            r10 = r13
            r11 = r17
            r0 = r16
            r16 = r12
            r12 = r26
            r22 = r13
            r13 = r25
            r23 = r14
            r14 = r20
            r20 = r0
            r0 = r18
            r15 = r24
            int r15 = r4.startJob(r5, r6, r7, r8, r9, r10, r11, r12, r13, r14, r15, r16)     // Catch:{ LocalInterrupt | InterruptedException -> 0x0480, LocalEscprException -> 0x03ca, Exception -> 0x0369, all -> 0x035b }
            if (r15 != 0) goto L_0x034b
            epson.print.service.PrintService r4 = r1.mEpsonService     // Catch:{ LocalInterrupt | InterruptedException -> 0x0480, LocalInterrupt | InterruptedException -> 0x0480, LocalEscprException -> 0x033f, Exception -> 0x0369, all -> 0x0332 }
            boolean r4 = r4.getCancelPrinting()     // Catch:{ LocalInterrupt | InterruptedException -> 0x0480, LocalInterrupt | InterruptedException -> 0x0480, LocalEscprException -> 0x033f, Exception -> 0x0369, all -> 0x0332 }
            if (r4 != 0) goto L_0x0326
            epson.print.service.RenderingController r4 = r1.mRenderingController     // Catch:{ LocalInterrupt | InterruptedException -> 0x0480, LocalInterrupt | InterruptedException -> 0x0480, LocalEscprException -> 0x033f, Exception -> 0x0369, all -> 0x0332 }
            r4.startDrawAfterStartJob(r0)     // Catch:{ LocalInterrupt | InterruptedException -> 0x0480, LocalInterrupt | InterruptedException -> 0x0480, LocalEscprException -> 0x033f, Exception -> 0x0369, all -> 0x0332 }
            epson.print.service.RenderingController r4 = r1.mRenderingController     // Catch:{ LocalInterrupt | InterruptedException -> 0x0480, LocalInterrupt | InterruptedException -> 0x0480, LocalEscprException -> 0x033f, Exception -> 0x0369, all -> 0x0332 }
            epson.print.EPImageList r4 = r4.getImageList()     // Catch:{ LocalInterrupt | InterruptedException -> 0x0480, LocalInterrupt | InterruptedException -> 0x0480, LocalEscprException -> 0x033f, Exception -> 0x0369, all -> 0x0332 }
            r1.gImageList = r4     // Catch:{ LocalInterrupt | InterruptedException -> 0x0480, LocalInterrupt | InterruptedException -> 0x0480, LocalEscprException -> 0x033f, Exception -> 0x0369, all -> 0x0332 }
            r4 = 65536(0x10000, float:9.18355E-41)
            r5 = 4
            r6 = 2
            if (r0 == r4) goto L_0x0101
            r4 = 131072(0x20000, float:1.83671E-40)
            if (r0 == r4) goto L_0x00e9
            r4 = 262144(0x40000, float:3.67342E-40)
            if (r0 == r4) goto L_0x00e9
            epson.print.EPImageList r4 = r1.gImageList     // Catch:{ LocalInterrupt | InterruptedException -> 0x00e0, LocalEscprException -> 0x00d5, Exception -> 0x00cb, all -> 0x00bf }
            int r4 = r4.size()     // Catch:{ LocalInterrupt | InterruptedException -> 0x00e0, LocalEscprException -> 0x00d5, Exception -> 0x00cb, all -> 0x00bf }
            r14 = r4
            r12 = 1
            goto L_0x0118
        L_0x00bf:
            r0 = move-exception
            r2 = r0
            r0 = r19
            r3 = 40
            r4 = 60000(0xea60, double:2.9644E-319)
            r6 = 0
            goto L_0x033c
        L_0x00cb:
            r2 = r19
        L_0x00cd:
            r3 = 40
            r4 = 60000(0xea60, double:2.9644E-319)
            r6 = 0
            goto L_0x0371
        L_0x00d5:
            r0 = move-exception
            r2 = r19
        L_0x00d8:
            r3 = 40
            r4 = 60000(0xea60, double:2.9644E-319)
            r6 = 0
            goto L_0x0348
        L_0x00e0:
            r2 = r19
            r0 = 0
        L_0x00e3:
            r4 = 60000(0xea60, double:2.9644E-319)
            r6 = 0
            goto L_0x0487
        L_0x00e9:
            epson.print.EPImageList r4 = r1.gImageList     // Catch:{ LocalInterrupt | InterruptedException -> 0x00e0, LocalEscprException -> 0x00d5, Exception -> 0x00cb, all -> 0x00bf }
            int r4 = r4.size()     // Catch:{ LocalInterrupt | InterruptedException -> 0x00e0, LocalEscprException -> 0x00d5, Exception -> 0x00cb, all -> 0x00bf }
            int r4 = r4 / r5
            epson.print.EPImageList r6 = r1.gImageList     // Catch:{ LocalInterrupt | InterruptedException -> 0x00e0, LocalEscprException -> 0x00d5, Exception -> 0x00cb, all -> 0x00bf }
            int r6 = r6.size()     // Catch:{ LocalInterrupt | InterruptedException -> 0x00e0, LocalEscprException -> 0x00d5, Exception -> 0x00cb, all -> 0x00bf }
            int r6 = r6 % r5
            if (r6 <= 0) goto L_0x00fe
            int r4 = r4 + 1
            r14 = r4
            r12 = 4
            goto L_0x0118
        L_0x00fe:
            r14 = r4
            r12 = 4
            goto L_0x0118
        L_0x0101:
            epson.print.EPImageList r4 = r1.gImageList     // Catch:{ LocalInterrupt | InterruptedException -> 0x0480, LocalInterrupt | InterruptedException -> 0x0480, LocalEscprException -> 0x033f, Exception -> 0x0369, all -> 0x0332 }
            int r4 = r4.size()     // Catch:{ LocalInterrupt | InterruptedException -> 0x0480, LocalInterrupt | InterruptedException -> 0x0480, LocalEscprException -> 0x033f, Exception -> 0x0369, all -> 0x0332 }
            int r4 = r4 / r6
            epson.print.EPImageList r5 = r1.gImageList     // Catch:{ LocalInterrupt | InterruptedException -> 0x0480, LocalInterrupt | InterruptedException -> 0x0480, LocalEscprException -> 0x033f, Exception -> 0x0369, all -> 0x0332 }
            int r5 = r5.size()     // Catch:{ LocalInterrupt | InterruptedException -> 0x0480, LocalInterrupt | InterruptedException -> 0x0480, LocalEscprException -> 0x033f, Exception -> 0x0369, all -> 0x0332 }
            int r5 = r5 % r6
            if (r5 <= 0) goto L_0x0116
            int r4 = r4 + 1
            r14 = r4
            r12 = 2
            goto L_0x0118
        L_0x0116:
            r14 = r4
            r12 = 2
        L_0x0118:
            epson.print.service.CreatePrintImageThread$LocalImageCreator r13 = new epson.print.service.CreatePrintImageThread$LocalImageCreator     // Catch:{ LocalInterrupt | InterruptedException -> 0x0480, LocalInterrupt | InterruptedException -> 0x0480, LocalEscprException -> 0x033f, Exception -> 0x0369, all -> 0x0332 }
            r4 = r13
            r5 = r2
            r6 = r22
            r7 = r24
            r8 = r3
            r9 = r0
            r10 = r23
            r11 = r21
            r4.<init>(r5, r6, r7, r8, r9, r10, r11)     // Catch:{ LocalInterrupt | InterruptedException -> 0x0480, LocalInterrupt | InterruptedException -> 0x0480, LocalEscprException -> 0x033f, Exception -> 0x0369, all -> 0x0332 }
            epson.print.service.CreatePrintImageThread r2 = new epson.print.service.CreatePrintImageThread     // Catch:{ LocalInterrupt | InterruptedException -> 0x0480, LocalInterrupt | InterruptedException -> 0x0480, LocalEscprException -> 0x033f, Exception -> 0x0369, all -> 0x0332 }
            epson.print.service.RenderingController r8 = r1.mRenderingController     // Catch:{ LocalInterrupt | InterruptedException -> 0x0480, LocalInterrupt | InterruptedException -> 0x0480, LocalEscprException -> 0x033f, Exception -> 0x0369, all -> 0x0332 }
            epson.print.service.PrintService r9 = r1.mEpsonService     // Catch:{ LocalInterrupt | InterruptedException -> 0x0480, LocalInterrupt | InterruptedException -> 0x0480, LocalEscprException -> 0x033f, Exception -> 0x0369, all -> 0x0332 }
            epson.print.EPImageList r11 = r1.gImageList     // Catch:{ LocalInterrupt | InterruptedException -> 0x0480, LocalInterrupt | InterruptedException -> 0x0480, LocalEscprException -> 0x033f, Exception -> 0x0369, all -> 0x0332 }
            r7 = r2
            r10 = r13
            r13 = r14
            r7.<init>(r8, r9, r10, r11, r12, r13)     // Catch:{ LocalInterrupt | InterruptedException -> 0x0480, LocalInterrupt | InterruptedException -> 0x0480, LocalEscprException -> 0x033f, Exception -> 0x0369, all -> 0x0332 }
            r2.start()     // Catch:{ LocalInterrupt | InterruptedException -> 0x0320, LocalEscprException -> 0x031d, Exception -> 0x00cd, all -> 0x0313 }
            r0 = r20
            r3 = 0
            r4 = 0
        L_0x013e:
            if (r3 >= r0) goto L_0x02dc
            r4 = 0
        L_0x0141:
            if (r4 >= r14) goto L_0x02ac
            epson.print.service.PrintService r5 = r1.mEpsonService     // Catch:{ LocalInterrupt | InterruptedException -> 0x02a5, LocalEscprException -> 0x029b, Exception -> 0x0292, all -> 0x0287 }
            boolean r5 = r5.getCancelPrinting()     // Catch:{ LocalInterrupt | InterruptedException -> 0x02a5, LocalEscprException -> 0x029b, Exception -> 0x0292, all -> 0x0287 }
            if (r5 != 0) goto L_0x027c
            if (r3 != 0) goto L_0x0193
            int r5 = r2.waitePrintImage()     // Catch:{ LocalInterrupt | InterruptedException -> 0x0190, LocalEscprException -> 0x0186, Exception -> 0x017d, all -> 0x0173 }
            if (r5 != r4) goto L_0x0154
            goto L_0x0193
        L_0x0154:
            java.lang.IllegalStateException r0 = new java.lang.IllegalStateException     // Catch:{ LocalInterrupt | InterruptedException -> 0x0190, LocalEscprException -> 0x0186, Exception -> 0x017d, all -> 0x0173 }
            java.lang.StringBuilder r3 = new java.lang.StringBuilder     // Catch:{ LocalInterrupt | InterruptedException -> 0x0190, LocalEscprException -> 0x0186, Exception -> 0x017d, all -> 0x0173 }
            r3.<init>()     // Catch:{ LocalInterrupt | InterruptedException -> 0x0190, LocalEscprException -> 0x0186, Exception -> 0x017d, all -> 0x0173 }
            java.lang.String r6 = "Error. : createImageThread.waitePrintImage()"
            r3.append(r6)     // Catch:{ LocalInterrupt | InterruptedException -> 0x0190, LocalEscprException -> 0x0186, Exception -> 0x017d, all -> 0x0173 }
            r3.append(r4)     // Catch:{ LocalInterrupt | InterruptedException -> 0x0190, LocalEscprException -> 0x0186, Exception -> 0x017d, all -> 0x0173 }
            java.lang.String r6 = ","
            r3.append(r6)     // Catch:{ LocalInterrupt | InterruptedException -> 0x0190, LocalEscprException -> 0x0186, Exception -> 0x017d, all -> 0x0173 }
            r3.append(r5)     // Catch:{ LocalInterrupt | InterruptedException -> 0x0190, LocalEscprException -> 0x0186, Exception -> 0x017d, all -> 0x0173 }
            java.lang.String r3 = r3.toString()     // Catch:{ LocalInterrupt | InterruptedException -> 0x0190, LocalEscprException -> 0x0186, Exception -> 0x017d, all -> 0x0173 }
            r0.<init>(r3)     // Catch:{ LocalInterrupt | InterruptedException -> 0x0190, LocalEscprException -> 0x0186, Exception -> 0x017d, all -> 0x0173 }
            throw r0     // Catch:{ LocalInterrupt | InterruptedException -> 0x0190, LocalEscprException -> 0x0186, Exception -> 0x017d, all -> 0x0173 }
        L_0x0173:
            r0 = move-exception
            r7 = r4
            r3 = 40
            r4 = 60000(0xea60, double:2.9644E-319)
            r6 = 0
            goto L_0x028f
        L_0x017d:
            r15 = r4
            r3 = 40
            r4 = 60000(0xea60, double:2.9644E-319)
            r6 = 0
            goto L_0x0372
        L_0x0186:
            r0 = move-exception
            r7 = r4
            r3 = 40
            r4 = 60000(0xea60, double:2.9644E-319)
            r6 = 0
            goto L_0x03d4
        L_0x0190:
            r0 = r4
            goto L_0x00e3
        L_0x0193:
            epson.print.EPImageList r5 = r1.gImageList     // Catch:{ LocalInterrupt | InterruptedException -> 0x02a5, LocalEscprException -> 0x029b, Exception -> 0x0292, all -> 0x0287 }
            epson.print.EPImage r5 = r5.get(r4)     // Catch:{ LocalInterrupt | InterruptedException -> 0x02a5, LocalEscprException -> 0x029b, Exception -> 0x0292, all -> 0x0287 }
            epson.print.service.PrintService r6 = r1.mEpsonService     // Catch:{ LocalInterrupt | InterruptedException -> 0x02a5, LocalEscprException -> 0x029b, Exception -> 0x0292, all -> 0x0287 }
            java.lang.String r5 = r5.printImageFileName     // Catch:{ LocalInterrupt | InterruptedException -> 0x02a5, LocalEscprException -> 0x029b, Exception -> 0x0292, all -> 0x0287 }
            int r15 = r6.initImage(r5)     // Catch:{ LocalInterrupt | InterruptedException -> 0x02a5, LocalEscprException -> 0x029b, Exception -> 0x0292, all -> 0x0287 }
            if (r15 == 0) goto L_0x01cb
            epson.print.service.PrintService r0 = r1.mEpsonService     // Catch:{ LocalInterrupt | InterruptedException -> 0x0190, LocalInterrupt | InterruptedException -> 0x0190, LocalEscprException -> 0x01c1, Exception -> 0x017d, all -> 0x01b7 }
            boolean r0 = r0.getCancelPrinting()     // Catch:{ LocalInterrupt | InterruptedException -> 0x0190, LocalInterrupt | InterruptedException -> 0x0190, LocalEscprException -> 0x01c1, Exception -> 0x017d, all -> 0x01b7 }
            if (r0 == 0) goto L_0x01b1
            epson.print.service.LocalInterrupt r0 = new epson.print.service.LocalInterrupt     // Catch:{ LocalInterrupt | InterruptedException -> 0x0190, LocalInterrupt | InterruptedException -> 0x0190, LocalEscprException -> 0x01c1, Exception -> 0x017d, all -> 0x01b7 }
            r0.<init>()     // Catch:{ LocalInterrupt | InterruptedException -> 0x0190, LocalInterrupt | InterruptedException -> 0x0190, LocalEscprException -> 0x01c1, Exception -> 0x017d, all -> 0x01b7 }
            throw r0     // Catch:{ LocalInterrupt | InterruptedException -> 0x0190, LocalInterrupt | InterruptedException -> 0x0190, LocalEscprException -> 0x01c1, Exception -> 0x017d, all -> 0x01b7 }
        L_0x01b1:
            java.lang.IllegalStateException r0 = new java.lang.IllegalStateException     // Catch:{ LocalInterrupt | InterruptedException -> 0x0190, LocalInterrupt | InterruptedException -> 0x0190, LocalEscprException -> 0x01c1, Exception -> 0x017d, all -> 0x01b7 }
            r0.<init>()     // Catch:{ LocalInterrupt | InterruptedException -> 0x0190, LocalInterrupt | InterruptedException -> 0x0190, LocalEscprException -> 0x01c1, Exception -> 0x017d, all -> 0x01b7 }
            throw r0     // Catch:{ LocalInterrupt | InterruptedException -> 0x0190, LocalInterrupt | InterruptedException -> 0x0190, LocalEscprException -> 0x01c1, Exception -> 0x017d, all -> 0x01b7 }
        L_0x01b7:
            r0 = move-exception
            r7 = r4
            r3 = 40
            r4 = 60000(0xea60, double:2.9644E-319)
            r6 = 0
            goto L_0x0426
        L_0x01c1:
            r0 = move-exception
            r7 = r4
            r3 = 40
            r4 = 60000(0xea60, double:2.9644E-319)
            r6 = 0
            goto L_0x03d5
        L_0x01cb:
            epson.print.service.PrintService r5 = r1.mEpsonService     // Catch:{ LocalInterrupt | InterruptedException -> 0x02a5, LocalInterrupt | InterruptedException -> 0x02a5, LocalEscprException -> 0x0279, Exception -> 0x0292, all -> 0x0276 }
            boolean r5 = r5.getCancelPrinting()     // Catch:{ LocalInterrupt | InterruptedException -> 0x02a5, LocalInterrupt | InterruptedException -> 0x02a5, LocalEscprException -> 0x0279, Exception -> 0x0292, all -> 0x0276 }
            if (r5 != 0) goto L_0x026f
            java.lang.String r5 = "LocalPrintThread"
            java.lang.String r6 = "next startPage()"
            android.util.Log.v(r5, r6)     // Catch:{ LocalInterrupt | InterruptedException -> 0x02a5, LocalInterrupt | InterruptedException -> 0x02a5, LocalEscprException -> 0x0279, Exception -> 0x0292, all -> 0x0276 }
            epson.print.service.PrintService r5 = r1.mEpsonService     // Catch:{ LocalInterrupt | InterruptedException -> 0x02a5, LocalInterrupt | InterruptedException -> 0x02a5, LocalEscprException -> 0x0279, Exception -> 0x0292, all -> 0x0276 }
            int r15 = r5.startPage()     // Catch:{ LocalInterrupt | InterruptedException -> 0x02a5, LocalInterrupt | InterruptedException -> 0x02a5, LocalEscprException -> 0x0279, Exception -> 0x0292, all -> 0x0276 }
            if (r15 != 0) goto L_0x0268
            epson.print.service.PrintService r5 = r1.mEpsonService     // Catch:{ LocalInterrupt | InterruptedException -> 0x02a5, LocalInterrupt | InterruptedException -> 0x02a5, LocalEscprException -> 0x0279, Exception -> 0x0292, all -> 0x0276 }
            boolean r5 = r5.getCancelPrinting()     // Catch:{ LocalInterrupt | InterruptedException -> 0x02a5, LocalInterrupt | InterruptedException -> 0x02a5, LocalEscprException -> 0x0279, Exception -> 0x0292, all -> 0x0276 }
            if (r5 != 0) goto L_0x0261
            java.lang.String r5 = "LocalPrintThread"
            java.lang.String r6 = "next printPage()"
            android.util.Log.v(r5, r6)     // Catch:{ LocalInterrupt | InterruptedException -> 0x02a5, LocalInterrupt | InterruptedException -> 0x02a5, LocalEscprException -> 0x0279, Exception -> 0x0292, all -> 0x0276 }
            epson.print.service.PrintService r5 = r1.mEpsonService     // Catch:{ LocalInterrupt | InterruptedException -> 0x02a5, LocalInterrupt | InterruptedException -> 0x02a5, LocalEscprException -> 0x0279, Exception -> 0x0292, all -> 0x0276 }
            int r15 = r5.printPage()     // Catch:{ LocalInterrupt | InterruptedException -> 0x02a5, LocalInterrupt | InterruptedException -> 0x02a5, LocalEscprException -> 0x0279, Exception -> 0x0292, all -> 0x0276 }
            if (r15 != 0) goto L_0x0244
            epson.print.service.PrintService r5 = r1.mEpsonService     // Catch:{ LocalInterrupt | InterruptedException -> 0x02a5, LocalInterrupt | InterruptedException -> 0x02a5, LocalEscprException -> 0x0279, Exception -> 0x0292, all -> 0x0276 }
            boolean r5 = r5.getCancelPrinting()     // Catch:{ LocalInterrupt | InterruptedException -> 0x02a5, LocalInterrupt | InterruptedException -> 0x02a5, LocalEscprException -> 0x0279, Exception -> 0x0292, all -> 0x0276 }
            if (r5 != 0) goto L_0x023d
            java.lang.String r5 = "LocalPrintThread"
            java.lang.String r6 = "next endPage()"
            android.util.Log.v(r5, r6)     // Catch:{ LocalInterrupt | InterruptedException -> 0x02a5, LocalInterrupt | InterruptedException -> 0x02a5, LocalEscprException -> 0x0279, Exception -> 0x0292, all -> 0x0276 }
            int r5 = r14 + -1
            if (r4 >= r5) goto L_0x0216
            epson.print.service.PrintService r5 = r1.mEpsonService     // Catch:{ LocalInterrupt | InterruptedException -> 0x0190, LocalInterrupt | InterruptedException -> 0x0190, LocalEscprException -> 0x01c1, Exception -> 0x017d, all -> 0x01b7 }
            r6 = 1
            int r5 = r5.endPage(r6)     // Catch:{ LocalInterrupt | InterruptedException -> 0x0190, LocalInterrupt | InterruptedException -> 0x0190, LocalEscprException -> 0x01c1, Exception -> 0x017d, all -> 0x01b7 }
            r15 = r5
            r6 = 0
            goto L_0x021e
        L_0x0216:
            epson.print.service.PrintService r5 = r1.mEpsonService     // Catch:{ LocalInterrupt | InterruptedException -> 0x02a5, LocalInterrupt | InterruptedException -> 0x02a5, LocalEscprException -> 0x0279, Exception -> 0x0292, all -> 0x0276 }
            r6 = 0
            int r5 = r5.endPage(r6)     // Catch:{ LocalInterrupt | InterruptedException -> 0x02a6, LocalEscprException -> 0x02ce, Exception -> 0x0293, all -> 0x02c5 }
            r15 = r5
        L_0x021e:
            if (r15 != 0) goto L_0x0237
            epson.print.service.PrintService r5 = r1.mEpsonService     // Catch:{ LocalInterrupt | InterruptedException -> 0x02a6, LocalEscprException -> 0x02ce, Exception -> 0x0293, all -> 0x02c5 }
            boolean r5 = r5.getCancelPrinting()     // Catch:{ LocalInterrupt | InterruptedException -> 0x02a6, LocalEscprException -> 0x02ce, Exception -> 0x0293, all -> 0x02c5 }
            if (r5 != 0) goto L_0x0231
            epson.print.service.PrintService r5 = r1.mEpsonService     // Catch:{ LocalInterrupt | InterruptedException -> 0x02a6, LocalEscprException -> 0x02ce, Exception -> 0x0293, all -> 0x02c5 }
            r5.releaseImage()     // Catch:{ LocalInterrupt | InterruptedException -> 0x02a6, LocalEscprException -> 0x02ce, Exception -> 0x0293, all -> 0x02c5 }
            int r4 = r4 + 1
            goto L_0x0141
        L_0x0231:
            epson.print.service.LocalInterrupt r0 = new epson.print.service.LocalInterrupt     // Catch:{ LocalInterrupt | InterruptedException -> 0x02a6, LocalEscprException -> 0x02ce, Exception -> 0x0293, all -> 0x02c5 }
            r0.<init>()     // Catch:{ LocalInterrupt | InterruptedException -> 0x02a6, LocalEscprException -> 0x02ce, Exception -> 0x0293, all -> 0x02c5 }
            throw r0     // Catch:{ LocalInterrupt | InterruptedException -> 0x02a6, LocalEscprException -> 0x02ce, Exception -> 0x0293, all -> 0x02c5 }
        L_0x0237:
            epson.print.service.LocalPrintThread$LocalEscprException r0 = new epson.print.service.LocalPrintThread$LocalEscprException     // Catch:{ LocalInterrupt | InterruptedException -> 0x02a6, LocalEscprException -> 0x02ce, Exception -> 0x0293, all -> 0x02c5 }
            r0.<init>()     // Catch:{ LocalInterrupt | InterruptedException -> 0x02a6, LocalEscprException -> 0x02ce, Exception -> 0x0293, all -> 0x02c5 }
            throw r0     // Catch:{ LocalInterrupt | InterruptedException -> 0x02a6, LocalEscprException -> 0x02ce, Exception -> 0x0293, all -> 0x02c5 }
        L_0x023d:
            r6 = 0
            epson.print.service.LocalInterrupt r0 = new epson.print.service.LocalInterrupt     // Catch:{ LocalInterrupt | InterruptedException -> 0x02a6, LocalEscprException -> 0x02ce, Exception -> 0x0293, all -> 0x02c5 }
            r0.<init>()     // Catch:{ LocalInterrupt | InterruptedException -> 0x02a6, LocalEscprException -> 0x02ce, Exception -> 0x0293, all -> 0x02c5 }
            throw r0     // Catch:{ LocalInterrupt | InterruptedException -> 0x02a6, LocalEscprException -> 0x02ce, Exception -> 0x0293, all -> 0x02c5 }
        L_0x0244:
            r6 = 0
            epson.print.service.LocalPrintThread$LocalEscprException r0 = new epson.print.service.LocalPrintThread$LocalEscprException     // Catch:{ LocalInterrupt | InterruptedException -> 0x02a6, LocalEscprException -> 0x02ce, Exception -> 0x0293, all -> 0x02c5 }
            java.lang.StringBuilder r3 = new java.lang.StringBuilder     // Catch:{ LocalInterrupt | InterruptedException -> 0x02a6, LocalEscprException -> 0x02ce, Exception -> 0x0293, all -> 0x02c5 }
            r3.<init>()     // Catch:{ LocalInterrupt | InterruptedException -> 0x02a6, LocalEscprException -> 0x02ce, Exception -> 0x0293, all -> 0x02c5 }
            java.lang.String r5 = "printPage() returns ["
            r3.append(r5)     // Catch:{ LocalInterrupt | InterruptedException -> 0x02a6, LocalEscprException -> 0x02ce, Exception -> 0x0293, all -> 0x02c5 }
            r3.append(r15)     // Catch:{ LocalInterrupt | InterruptedException -> 0x02a6, LocalEscprException -> 0x02ce, Exception -> 0x0293, all -> 0x02c5 }
            java.lang.String r5 = "]"
            r3.append(r5)     // Catch:{ LocalInterrupt | InterruptedException -> 0x02a6, LocalEscprException -> 0x02ce, Exception -> 0x0293, all -> 0x02c5 }
            java.lang.String r3 = r3.toString()     // Catch:{ LocalInterrupt | InterruptedException -> 0x02a6, LocalEscprException -> 0x02ce, Exception -> 0x0293, all -> 0x02c5 }
            r0.<init>(r3)     // Catch:{ LocalInterrupt | InterruptedException -> 0x02a6, LocalEscprException -> 0x02ce, Exception -> 0x0293, all -> 0x02c5 }
            throw r0     // Catch:{ LocalInterrupt | InterruptedException -> 0x02a6, LocalEscprException -> 0x02ce, Exception -> 0x0293, all -> 0x02c5 }
        L_0x0261:
            r6 = 0
            epson.print.service.LocalInterrupt r0 = new epson.print.service.LocalInterrupt     // Catch:{ LocalInterrupt | InterruptedException -> 0x02a6, LocalEscprException -> 0x02ce, Exception -> 0x0293, all -> 0x02c5 }
            r0.<init>()     // Catch:{ LocalInterrupt | InterruptedException -> 0x02a6, LocalEscprException -> 0x02ce, Exception -> 0x0293, all -> 0x02c5 }
            throw r0     // Catch:{ LocalInterrupt | InterruptedException -> 0x02a6, LocalEscprException -> 0x02ce, Exception -> 0x0293, all -> 0x02c5 }
        L_0x0268:
            r6 = 0
            epson.print.service.LocalPrintThread$LocalEscprException r0 = new epson.print.service.LocalPrintThread$LocalEscprException     // Catch:{ LocalInterrupt | InterruptedException -> 0x02a6, LocalEscprException -> 0x02ce, Exception -> 0x0293, all -> 0x02c5 }
            r0.<init>()     // Catch:{ LocalInterrupt | InterruptedException -> 0x02a6, LocalEscprException -> 0x02ce, Exception -> 0x0293, all -> 0x02c5 }
            throw r0     // Catch:{ LocalInterrupt | InterruptedException -> 0x02a6, LocalEscprException -> 0x02ce, Exception -> 0x0293, all -> 0x02c5 }
        L_0x026f:
            r6 = 0
            epson.print.service.LocalInterrupt r0 = new epson.print.service.LocalInterrupt     // Catch:{ LocalInterrupt | InterruptedException -> 0x02a6, LocalEscprException -> 0x02ce, Exception -> 0x0293, all -> 0x02c5 }
            r0.<init>()     // Catch:{ LocalInterrupt | InterruptedException -> 0x02a6, LocalEscprException -> 0x02ce, Exception -> 0x0293, all -> 0x02c5 }
            throw r0     // Catch:{ LocalInterrupt | InterruptedException -> 0x02a6, LocalEscprException -> 0x02ce, Exception -> 0x0293, all -> 0x02c5 }
        L_0x0276:
            r0 = move-exception
            r6 = 0
            goto L_0x02c6
        L_0x0279:
            r0 = move-exception
            r6 = 0
            goto L_0x02cf
        L_0x027c:
            r6 = 0
            epson.print.service.LocalInterrupt r0 = new epson.print.service.LocalInterrupt     // Catch:{ LocalInterrupt | InterruptedException -> 0x02a6, LocalInterrupt | InterruptedException -> 0x02a6, LocalEscprException -> 0x0285, Exception -> 0x0293, all -> 0x0283 }
            r0.<init>()     // Catch:{ LocalInterrupt | InterruptedException -> 0x02a6, LocalInterrupt | InterruptedException -> 0x02a6, LocalEscprException -> 0x0285, Exception -> 0x0293, all -> 0x0283 }
            throw r0     // Catch:{ LocalInterrupt | InterruptedException -> 0x02a6, LocalInterrupt | InterruptedException -> 0x02a6, LocalEscprException -> 0x0285, Exception -> 0x0293, all -> 0x0283 }
        L_0x0283:
            r0 = move-exception
            goto L_0x0289
        L_0x0285:
            r0 = move-exception
            goto L_0x029d
        L_0x0287:
            r0 = move-exception
            r6 = 0
        L_0x0289:
            r7 = r4
            r3 = 40
            r4 = 60000(0xea60, double:2.9644E-319)
        L_0x028f:
            r15 = 0
            goto L_0x0426
        L_0x0292:
            r6 = 0
        L_0x0293:
            r15 = r4
            r3 = 40
            r4 = 60000(0xea60, double:2.9644E-319)
            goto L_0x0372
        L_0x029b:
            r0 = move-exception
            r6 = 0
        L_0x029d:
            r7 = r4
            r3 = 40
            r4 = 60000(0xea60, double:2.9644E-319)
            goto L_0x03d4
        L_0x02a5:
            r6 = 0
        L_0x02a6:
            r0 = r4
            r4 = 60000(0xea60, double:2.9644E-319)
            goto L_0x0487
        L_0x02ac:
            r6 = 0
            if (r24 == 0) goto L_0x02d7
            if (r4 == 0) goto L_0x02d7
            int r5 = r4 % 2
            r7 = 1
            if (r5 != r7) goto L_0x02d8
            int r12 = r0 + -1
            if (r3 == r12) goto L_0x02d8
            epson.print.service.PrintService r5 = r1.mEpsonService     // Catch:{ LocalInterrupt | InterruptedException -> 0x02a6, LocalEscprException -> 0x02ce, Exception -> 0x0293, all -> 0x02c5 }
            r5.startPage()     // Catch:{ LocalInterrupt | InterruptedException -> 0x02a6, LocalEscprException -> 0x02ce, Exception -> 0x0293, all -> 0x02c5 }
            epson.print.service.PrintService r5 = r1.mEpsonService     // Catch:{ LocalInterrupt | InterruptedException -> 0x02a6, LocalEscprException -> 0x02ce, Exception -> 0x0293, all -> 0x02c5 }
            r5.endPage(r6)     // Catch:{ LocalInterrupt | InterruptedException -> 0x02a6, LocalEscprException -> 0x02ce, Exception -> 0x0293, all -> 0x02c5 }
            goto L_0x02d8
        L_0x02c5:
            r0 = move-exception
        L_0x02c6:
            r7 = r4
            r3 = 40
            r4 = 60000(0xea60, double:2.9644E-319)
            goto L_0x0426
        L_0x02ce:
            r0 = move-exception
        L_0x02cf:
            r7 = r4
            r3 = 40
            r4 = 60000(0xea60, double:2.9644E-319)
            goto L_0x03d5
        L_0x02d7:
            r7 = 1
        L_0x02d8:
            int r3 = r3 + 1
            goto L_0x013e
        L_0x02dc:
            r6 = 0
            java.lang.String r0 = "LocalPrintThread"
            java.lang.String r3 = "enter finally"
            android.util.Log.v(r0, r3)
            epson.print.service.PrintService r0 = r1.mEpsonService
            r0.endJob()
            epson.print.service.RenderingController r0 = r1.mRenderingController
            r0.interruptSubThreads()
            r2.interrupt()
            r3 = 40
            if (r15 == r3) goto L_0x02fd
            epson.print.service.PrintService r0 = r1.mEpsonService
            boolean r0 = r0.getCancelPrinting()
            if (r0 == 0) goto L_0x02fe
        L_0x02fd:
            r15 = 0
        L_0x02fe:
            epson.print.service.PrintService r0 = r1.mEpsonService
            android.content.Context r0 = r0.getLocalApplicationContext()
            com.epson.iprint.prtlogger.Analytics.savePrintInfo(r0, r4)
            r4 = 60000(0xea60, double:2.9644E-319)
            r2.join(r4)     // Catch:{ InterruptedException -> 0x030f }
            goto L_0x040d
        L_0x030f:
            r0 = move-exception
            r2 = r0
            goto L_0x040a
        L_0x0313:
            r0 = move-exception
            r3 = 40
            r4 = 60000(0xea60, double:2.9644E-319)
            r6 = 0
            r7 = 0
            goto L_0x0426
        L_0x031d:
            r0 = move-exception
            goto L_0x00d8
        L_0x0320:
            r4 = 60000(0xea60, double:2.9644E-319)
            r6 = 0
            goto L_0x0486
        L_0x0326:
            r3 = 40
            r4 = 60000(0xea60, double:2.9644E-319)
            r6 = 0
            epson.print.service.LocalInterrupt r0 = new epson.print.service.LocalInterrupt     // Catch:{ LocalInterrupt | InterruptedException -> 0x0484, LocalEscprException -> 0x0359, Exception -> 0x036f, all -> 0x0357 }
            r0.<init>()     // Catch:{ LocalInterrupt | InterruptedException -> 0x0484, LocalEscprException -> 0x0359, Exception -> 0x036f, all -> 0x0357 }
            throw r0     // Catch:{ LocalInterrupt | InterruptedException -> 0x0484, LocalEscprException -> 0x0359, Exception -> 0x036f, all -> 0x0357 }
        L_0x0332:
            r0 = move-exception
            r3 = 40
            r4 = 60000(0xea60, double:2.9644E-319)
            r6 = 0
        L_0x0339:
            r2 = r0
            r0 = r19
        L_0x033c:
            r7 = 0
            goto L_0x042b
        L_0x033f:
            r0 = move-exception
            r3 = 40
            r4 = 60000(0xea60, double:2.9644E-319)
            r6 = 0
        L_0x0346:
            r2 = r19
        L_0x0348:
            r7 = 0
            goto L_0x03d5
        L_0x034b:
            r3 = 40
            r4 = 60000(0xea60, double:2.9644E-319)
            r6 = 0
            epson.print.service.LocalPrintThread$LocalEscprException r0 = new epson.print.service.LocalPrintThread$LocalEscprException     // Catch:{ LocalInterrupt | InterruptedException -> 0x0484, LocalEscprException -> 0x0359, Exception -> 0x036f, all -> 0x0357 }
            r0.<init>()     // Catch:{ LocalInterrupt | InterruptedException -> 0x0484, LocalEscprException -> 0x0359, Exception -> 0x036f, all -> 0x0357 }
            throw r0     // Catch:{ LocalInterrupt | InterruptedException -> 0x0484, LocalEscprException -> 0x0359, Exception -> 0x036f, all -> 0x0357 }
        L_0x0357:
            r0 = move-exception
            goto L_0x0339
        L_0x0359:
            r0 = move-exception
            goto L_0x0346
        L_0x035b:
            r0 = move-exception
            r3 = 40
            r4 = 60000(0xea60, double:2.9644E-319)
            r6 = 0
            r2 = r0
            r0 = r19
            r7 = 0
            r15 = 0
            goto L_0x042b
        L_0x0369:
            r3 = 40
            r4 = 60000(0xea60, double:2.9644E-319)
            r6 = 0
        L_0x036f:
            r2 = r19
        L_0x0371:
            r15 = 0
        L_0x0372:
            r7 = -5201(0xffffffffffffebaf, float:NaN)
            epson.print.service.PrintService r0 = r1.mEpsonService     // Catch:{ all -> 0x03c5 }
            r8 = -1
            r0.epsNotifyError(r8, r7, r6)     // Catch:{ all -> 0x03c5 }
            java.lang.String r0 = "LocalPrintThread"
            java.lang.String r3 = "enter finally"
            android.util.Log.v(r0, r3)
            epson.print.service.PrintService r0 = r1.mEpsonService
            r0.endJob()
            epson.print.service.RenderingController r0 = r1.mRenderingController
            r0.interruptSubThreads()
            if (r2 == 0) goto L_0x0390
            r2.interrupt()
        L_0x0390:
            epson.print.service.PrintService r0 = r1.mEpsonService
            boolean r0 = r0.getCancelPrinting()
            if (r0 == 0) goto L_0x0399
            r7 = 0
        L_0x0399:
            epson.print.service.PrintService r0 = r1.mEpsonService
            android.content.Context r0 = r0.getLocalApplicationContext()
            com.epson.iprint.prtlogger.Analytics.savePrintInfo(r0, r15)
            if (r2 == 0) goto L_0x03ad
            r2.join(r4)     // Catch:{ InterruptedException -> 0x03a8 }
            goto L_0x03ad
        L_0x03a8:
            r0 = move-exception
            r2 = r0
            r2.printStackTrace()
        L_0x03ad:
            epson.print.service.RenderingController r0 = r1.mRenderingController
            r0.joinSubThread(r4)
            java.lang.String r0 = "LocalPrintThread"
            java.lang.String r2 = "join() finished"
            android.util.Log.v(r0, r2)
            epson.print.service.PrintService r0 = r1.mEpsonService
            r0.waitIfSimpleAp()
            epson.print.service.PrintService r0 = r1.mEpsonService
            r0.notifyEndJob(r7)
            goto L_0x04cd
        L_0x03c5:
            r0 = move-exception
            r7 = r15
            r15 = -5201(0xffffffffffffebaf, float:NaN)
            goto L_0x0426
        L_0x03ca:
            r0 = move-exception
            r3 = 40
            r4 = 60000(0xea60, double:2.9644E-319)
            r6 = 0
            r2 = r19
            r7 = 0
        L_0x03d4:
            r15 = 0
        L_0x03d5:
            r0.printStackTrace()     // Catch:{ all -> 0x0425 }
            java.lang.String r0 = "LocalPrintThread"
            java.lang.String r8 = "enter finally"
            android.util.Log.v(r0, r8)
            epson.print.service.PrintService r0 = r1.mEpsonService
            r0.endJob()
            epson.print.service.RenderingController r0 = r1.mRenderingController
            r0.interruptSubThreads()
            if (r2 == 0) goto L_0x03ee
            r2.interrupt()
        L_0x03ee:
            if (r15 == r3) goto L_0x03f8
            epson.print.service.PrintService r0 = r1.mEpsonService
            boolean r0 = r0.getCancelPrinting()
            if (r0 == 0) goto L_0x03f9
        L_0x03f8:
            r15 = 0
        L_0x03f9:
            epson.print.service.PrintService r0 = r1.mEpsonService
            android.content.Context r0 = r0.getLocalApplicationContext()
            com.epson.iprint.prtlogger.Analytics.savePrintInfo(r0, r7)
            if (r2 == 0) goto L_0x040d
            r2.join(r4)     // Catch:{ InterruptedException -> 0x0408 }
            goto L_0x040d
        L_0x0408:
            r0 = move-exception
            r2 = r0
        L_0x040a:
            r2.printStackTrace()
        L_0x040d:
            epson.print.service.RenderingController r0 = r1.mRenderingController
            r0.joinSubThread(r4)
            java.lang.String r0 = "LocalPrintThread"
            java.lang.String r2 = "join() finished"
            android.util.Log.v(r0, r2)
            epson.print.service.PrintService r0 = r1.mEpsonService
            r0.waitIfSimpleAp()
            epson.print.service.PrintService r0 = r1.mEpsonService
            r0.notifyEndJob(r15)
            goto L_0x04cd
        L_0x0425:
            r0 = move-exception
        L_0x0426:
            r27 = r2
            r2 = r0
            r0 = r27
        L_0x042b:
            java.lang.String r8 = "LocalPrintThread"
            java.lang.String r9 = "enter finally"
            android.util.Log.v(r8, r9)
            epson.print.service.PrintService r8 = r1.mEpsonService
            r8.endJob()
            epson.print.service.RenderingController r8 = r1.mRenderingController
            r8.interruptSubThreads()
            if (r0 == 0) goto L_0x0441
            r0.interrupt()
        L_0x0441:
            if (r15 == r3) goto L_0x044b
            epson.print.service.PrintService r3 = r1.mEpsonService
            boolean r3 = r3.getCancelPrinting()
            if (r3 == 0) goto L_0x044c
        L_0x044b:
            r15 = 0
        L_0x044c:
            epson.print.service.PrintService r3 = r1.mEpsonService
            android.content.Context r3 = r3.getLocalApplicationContext()
            com.epson.iprint.prtlogger.Analytics.savePrintInfo(r3, r7)
            if (r0 == 0) goto L_0x0460
            r0.join(r4)     // Catch:{ InterruptedException -> 0x045b }
            goto L_0x0460
        L_0x045b:
            r0 = move-exception
            r3 = r0
            r3.printStackTrace()
        L_0x0460:
            epson.print.service.RenderingController r0 = r1.mRenderingController
            r0.joinSubThread(r4)
            java.lang.String r0 = "LocalPrintThread"
            java.lang.String r3 = "join() finished"
            android.util.Log.v(r0, r3)
            epson.print.service.PrintService r0 = r1.mEpsonService
            r0.waitIfSimpleAp()
            epson.print.service.PrintService r0 = r1.mEpsonService
            r0.notifyEndJob(r15)
            epson.print.service.PrintService r0 = r1.mEpsonService
            android.content.Context r0 = r0.getLocalApplicationContext()
            com.epson.mobilephone.common.wifidirect.WiFiDirectManager.setPriorityToSimpleAP(r0, r6)
            throw r2
        L_0x0480:
            r4 = 60000(0xea60, double:2.9644E-319)
            r6 = 0
        L_0x0484:
            r2 = r19
        L_0x0486:
            r0 = 0
        L_0x0487:
            java.lang.String r3 = "LocalPrintThread"
            java.lang.String r7 = "enter finally"
            android.util.Log.v(r3, r7)
            epson.print.service.PrintService r3 = r1.mEpsonService
            r3.endJob()
            epson.print.service.RenderingController r3 = r1.mRenderingController
            r3.interruptSubThreads()
            if (r2 == 0) goto L_0x049d
            r2.interrupt()
        L_0x049d:
            epson.print.service.PrintService r3 = r1.mEpsonService
            boolean r3 = r3.getCancelPrinting()
            epson.print.service.PrintService r3 = r1.mEpsonService
            android.content.Context r3 = r3.getLocalApplicationContext()
            com.epson.iprint.prtlogger.Analytics.savePrintInfo(r3, r0)
            if (r2 == 0) goto L_0x04b7
            r2.join(r4)     // Catch:{ InterruptedException -> 0x04b2 }
            goto L_0x04b7
        L_0x04b2:
            r0 = move-exception
            r2 = r0
            r2.printStackTrace()
        L_0x04b7:
            epson.print.service.RenderingController r0 = r1.mRenderingController
            r0.joinSubThread(r4)
            java.lang.String r0 = "LocalPrintThread"
            java.lang.String r2 = "join() finished"
            android.util.Log.v(r0, r2)
            epson.print.service.PrintService r0 = r1.mEpsonService
            r0.waitIfSimpleAp()
            epson.print.service.PrintService r0 = r1.mEpsonService
            r0.notifyEndJob(r6)
        L_0x04cd:
            epson.print.service.PrintService r0 = r1.mEpsonService
            android.content.Context r0 = r0.getLocalApplicationContext()
            com.epson.mobilephone.common.wifidirect.WiFiDirectManager.setPriorityToSimpleAP(r0, r6)
            return
        */
        throw new UnsupportedOperationException("Method not decompiled: epson.print.service.LocalPrintThread.doPrint():void");
    }

    static class LocalEscprException extends Exception {
        public LocalEscprException() {
        }

        public LocalEscprException(String str) {
            super(str);
        }
    }
}
